import type { PresetAsset } from 'presetter-types';
/** config for this preset */
export type PresetConfig = {
    /** configuration to be merged with .eslintrc */
    eslint?: Record<string, unknown>;
    /** configuration to be merged with .jestrc */
    jest?: Record<string, unknown>;
    /** patterns to be added to .gitignore */
    gitignore?: string[];
    /** configuration to be merged with .lintstagedrc */
    lintstaged?: Record<string, unknown>;
    /** patterns to be added to .npmignore */
    npmignore?: string[];
    /** configuration to be merged with .presetterrc */
    prettier?: Record<string, unknown>;
    /** configuration to be merged with tsconfig.json */
    tsconfig?: Record<string, unknown>;
};
/** List of configurable variables */
export type Variable = {
    /** the directory containing the whole repository (default: .) */
    root: string;
    /** the directory containing all source code (default: generated) */
    generated: string;
    /** the directory containing all source code (default: source) */
    source: string;
    /** the directory containing all extra typing files (default: types) */
    types: string;
    /** the directory containing all the compiled files (default: lib) */
    output: string;
    /** the directory containing all test files (default: spec) */
    test: string;
};
export declare const DEFAULT_VARIABLE: Variable;
/**
 * get the list of templates provided by this preset
 * @returns list of preset templates
 */
export default function (): Promise<PresetAsset>;
//# sourceMappingURL=index.d.ts.map